### Function

# Camel utf8_utf7

#### Declaration [src]

    gchar*
    camel_utf8_utf7 (
      const gchar* ptr
    )

#### Description [src]

Convert a UTF-8 string to a modified UTF-7 format.

The IMAP rules [rfc2060] are used in the UTF-7 encoding.

#### Parameters

`ptr`

  Type: `const gchar*`

  A UTF-8 string to convert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The converted string. Free it with g_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.